git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
* [PATCH] Bisect: Use "git-show-ref --verify" when reseting.
@ 2007-03-26  4:14 Christian Couder
  0 siblings, 0 replies; only message in thread
From: Christian Couder @ 2007-03-26  4:14 UTC (permalink / raw
  To: Junio Hamano; +Cc: git

Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
---
 git-bisect.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index 936b4a4..fda1712 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -173,7 +173,7 @@ bisect_reset() {
 	   else
 	       branch=master
 	   fi ;;
-	1) test -f "$GIT_DIR/refs/heads/$1" || {
+	1) git-show-ref --verify --quiet -- "refs/heads/$1" || {
 	       echo >&2 "$1 does not seem to be a valid branch"
 	       exit 1
 	   }
-- 
1.5.1.rc2.1.g850a

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2007-03-26  4:06 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2007-03-26  4:14 [PATCH] Bisect: Use "git-show-ref --verify" when reseting Christian Couder

Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).